---
lang: en
title: 'API docs: context.bindingselector'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingselector.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingSelector](./context.bindingselector.md)

## BindingSelector type

Select binding(s) by key or a filter function

**Signature:**

```typescript
export type BindingSelector<ValueType = unknown> = BindingAddress<ValueType> | BindingFilter;
```
**References:** [BindingAddress](./context.bindingaddress.md)<!-- -->, [BindingFilter](./context.bindingfilter.md)


